@ECHO OFF
TITLE Ancient Mod 1.8 Setup for EAW or CE

IF NOT EXIST ancientshiplist.txt GOTO ERROR1
IF NOT EXIST bindings.ini GOTO ERROR2

ECHO Creating backup spec folders...
ECHO.
MD Stock
MD Ancient
MD Mod1
MD Mod2
CD ..\MODELS
MD Ancient
CD ..\specs

ECHO Moving Ancient specs to Ancient specs folder...
ECHO.
MOVE ancientshiplist.txt Ancient
MOVE ancientftrlist.txt Ancient
MOVE model.siz Ancient
ECHO.

ECHO Renaming Ancient specs...
ECHO.
CD Ancient
REN ancientshiplist.txt shiplist.txt
REN ancientftrlist.txt ftrlist.txt
ECHO.

ECHO Creating backup strings folders...
ECHO.
CD ..\..\Strings
MD Stock
MD Ancient
MD Mod1
MD Mod2

ECHO Moving Ancient string files to Ancient strings folder...
ECHO.
CD ..\specs
MOVE strings.txt ..\Strings\Ancient
MOVE aaStrings.txt ..\Strings\Ancient
MOVE shipnames.txt ..\Strings\Ancient
MOVE quicktips.txt ..\Strings\Ancient

ECHO Moving model data to Ancient model folder...
ECHO.
MOVE *.bmp ..\MODELS\Ancient
MOVE *.MOD ..\MODELS\Ancient
MOVE ADB_Copyright_Notice.txt ..\MODELS\Ancient

ECHO Setup complete!
ECHO.
ECHO Please delete "Setup.bat" to avoid future confusion. 
ECHO.
ECHO Click "Mod_Swapper.bat" to select a mod or the stock specs.
ECHO.
GOTO END

:ERROR1
ECHO Error! User has run "Setup.bat" from within the .zip archive or has run it more than once.
ECHO.
ECHO See readme.txt.
ECHO.
GOTO END

:ERROR2
ECHO Error! "Setup.bat" is not located in the correct folder. It should be in "..Assets/specs".
ECHO.
ECHO See readme.txt.
ECHO.
GOTO END

:END
ECHO Finished.
PAUSE